var search_data = {"index":{"searchIndex":["inifile","error","parser","==()","[]()","[]=()","clone()","delete_section()","dup()","each()","each_section()","eql?()","error()","escape_value()","freeze()","has_section?()","leading_quote?()","load()","match()","merge()","merge!()","new()","new()","parse()","parse()","parse_value()","process_property()","read()","restore()","save()","section()","sections()","taint()","to_h()","to_s()","typecast()","unescape_value()","write()"],"longSearchIndex":["inifile","inifile::error","inifile::parser","inifile#==()","inifile#[]()","inifile#[]=()","inifile#clone()","inifile#delete_section()","inifile#dup()","inifile#each()","inifile#each_section()","inifile#eql?()","inifile::parser#error()","inifile#escape_value()","inifile#freeze()","inifile#has_section?()","inifile::parser#leading_quote?()","inifile::load()","inifile#match()","inifile#merge()","inifile#merge!()","inifile::new()","inifile::parser::new()","inifile#parse()","inifile::parser#parse()","inifile::parser#parse_value()","inifile::parser#process_property()","inifile#read()","inifile#restore()","inifile#save()","inifile::parser#section()","inifile#sections()","inifile#taint()","inifile#to_h()","inifile#to_s()","inifile::parser#typecast()","inifile::parser#unescape_value()","inifile#write()"],"info":[["IniFile","","IniFile.html","","<p>This class represents the INI file and can be used to parse, modify, and write INI files.\n"],["IniFile::Error","","IniFile/Error.html","",""],["IniFile::Parser","","IniFile/Parser.html","","<p>The IniFile::Parser has the responsibility of reading the contents of an .ini file and storing that information …\n"],["==","IniFile","IniFile.html#method-i-3D-3D","( other )",""],["[]","IniFile","IniFile.html#method-i-5B-5D","( section )","<p>Public: Get the section Hash by name. If the section does not exist, then it will be created.\n<p>section …\n"],["[]=","IniFile","IniFile.html#method-i-5B-5D-3D","( section, value )","<p>Public: Set the section to a hash of parameter/value pairs.\n<p>section - The section name as a String. value …\n"],["clone","IniFile","IniFile.html#method-i-clone","()","<p>Public: Produces a duplicate of this IniFile. The duplicate is independent of the original – i.e. the …\n"],["delete_section","IniFile","IniFile.html#method-i-delete_section","( section )","<p>Public: Remove a section identified by name from the IniFile.\n<p>section - The section name as a String. …\n"],["dup","IniFile","IniFile.html#method-i-dup","()","<p>Public: Produces a duplicate of this IniFile. The duplicate is independent of the original – i.e. the …\n"],["each","IniFile","IniFile.html#method-i-each","()","<p>Public: Yield each INI file section, parameter, and value in turn to the given block.\n<p>block - The block …\n"],["each_section","IniFile","IniFile.html#method-i-each_section","()","<p>Public: Yield each section in turn to the given block.\n<p>block - The block that will be iterated by the …\n"],["eql?","IniFile","IniFile.html#method-i-eql-3F","( other )","<p>Public: Compare this IniFile to some other IniFile. For two INI files to be equivalent, they must have …\n"],["error","IniFile::Parser","IniFile/Parser.html#method-i-error","( msg = 'Could not parse line' )","<p>Raise a parse error using the given message and appending the current line being parsed.\n<p>msg - The message …\n"],["escape_value","IniFile","IniFile.html#method-i-escape_value","( value )","<p>Escape special characters.\n<p>value - The String value to escape.\n<p>Returns the escaped value.\n"],["freeze","IniFile","IniFile.html#method-i-freeze","()","<p>Public: Freeze the state of this IniFile object. Any attempts to change the object will raise an error. …\n"],["has_section?","IniFile","IniFile.html#method-i-has_section-3F","( section )","<p>Public: Check to see if the IniFile contains the section.\n<p>section - The section name as a String.\n<p>Returns …\n"],["leading_quote?","IniFile::Parser","IniFile/Parser.html#method-i-leading_quote-3F","()","<p>Returns `true` if the current value starts with a leading double quote. Otherwise returns false.\n"],["load","IniFile","IniFile.html#method-c-load","( filename, opts = {} )","<p>Public: Open an INI file and load the contents.\n<p>filename - The name of the file as a String opts     - …\n"],["match","IniFile","IniFile.html#method-i-match","( regex )","<p>Public: Create a Hash containing only those INI file sections whose names match the given regular expression. …\n"],["merge","IniFile","IniFile.html#method-i-merge","( other )","<p>Public: Creates a copy of this inifile with the entries from the other_inifile merged into the copy. …\n"],["merge!","IniFile","IniFile.html#method-i-merge-21","( other )","<p>Public: Merges other_inifile into this inifile, overwriting existing entries. Useful for having a system …\n"],["new","IniFile","IniFile.html#method-c-new","( opts = {} )","<p>Public: Create a new INI file from the given set of options. If :content is provided then it will be …\n"],["new","IniFile::Parser","IniFile/Parser.html#method-c-new","( hash, param, comment, default, continuation, force_array )","<p>Create a new IniFile::Parser that can be used to parse the contents of an .ini file.\n<p>hash    - The Hash …\n"],["parse","IniFile","IniFile.html#method-i-parse","( content )","<p>Parse the given content and store the information in this IniFile instance. All data will be cleared …\n"],["parse","IniFile::Parser","IniFile/Parser.html#method-i-parse","( content )","<p>Parse the ini file contents. This will clear any values currently stored in the ini hash.\n<p>content - Any …\n"],["parse_value","IniFile::Parser","IniFile/Parser.html#method-i-parse_value","( string )","<p>Given a string, attempt to parse out a value from that string. This value might be continued on the following …\n"],["process_property","IniFile::Parser","IniFile/Parser.html#method-i-process_property","()","<p>Store the property/value pair in the currently active section. This method checks for continuation of …\n"],["read","IniFile","IniFile.html#method-i-read","( opts = {} )","<p>Public: Read the contents of the INI file from the file system and replace and set the state of this …\n"],["restore","IniFile","IniFile.html#method-i-restore","( opts = {} )",""],["save","IniFile","IniFile.html#method-i-save","( opts = {} )",""],["section","IniFile::Parser","IniFile/Parser.html#method-i-section","()","<p>Returns the current section Hash.\n"],["sections","IniFile","IniFile.html#method-i-sections","()","<p>Returns an Array of section names contained in this IniFile.\n"],["taint","IniFile","IniFile.html#method-i-taint","()","<p>Public: Mark this IniFile as tainted – this will traverse each section marking each as tainted.\n<p>Returns …\n"],["to_h","IniFile","IniFile.html#method-i-to_h","()","<p>Returns this IniFile converted to a Hash.\n"],["to_s","IniFile","IniFile.html#method-i-to_s","()","<p>Returns this IniFile converted to a String.\n"],["typecast","IniFile::Parser","IniFile/Parser.html#method-i-typecast","( value )","<p>Attempt to typecast the value string. We are looking for boolean values, integers, floats, and empty …\n"],["unescape_value","IniFile::Parser","IniFile/Parser.html#method-i-unescape_value","( value )","<p>Unescape special characters found in the value string. This will convert escaped null, tab, carriage …\n"],["write","IniFile","IniFile.html#method-i-write","( opts = {} )","<p>Public: Write the contents of this IniFile to the file system. If left unspecified, the currently configured …\n"]]}}